Portsdown - Now Safe to Update Again!

Discussion about this major DATV Project. See https://wiki.batc.org.uk/The_Portsdown_Transmitter
Post Reply
G8GKQ
Site Admin
Posts: 2440
Joined: Sun Mar 22, 2009 1:21 pm

Portsdown - Now Safe to Update Again!

Post by G8GKQ » Tue Jun 21, 2022 11:17 am

Hi All

A recent change to VLC has broken the receiever in the Portsdown software. This is totally outside my control and really frustrating for me. I'm working on a fix, but in the meantime, if you want to retain receiver functionality, don't do any Portsdown updates (or Langstone updates from Portsdown).

Dave G8GKQ

G8GKQ
Site Admin
Posts: 2440
Joined: Sun Mar 22, 2009 1:21 pm

Re: Portsdown - Don't Update at the Moment

Post by G8GKQ » Tue Jun 21, 2022 3:03 pm

If you have updated your Portsdown (or Ryde) and it does not now receive anything using VLC, entering the code below will fix it.

The first segment (which rolls back to the previous version of VLC) is a series of lines that the RPi reads as one line due to the \ markers at the end of each visual line:

Code: Select all

sudo apt-get --allow-downgrades -y install vlc=3.0.12-0+deb10u1+rpt3 \
libvlc-bin=3.0.12-0+deb10u1+rpt3 \
libvlc5=3.0.12-0+deb10u1+rpt3 \
libvlccore9=3.0.12-0+deb10u1+rpt3 \
vlc-bin=3.0.12-0+deb10u1+rpt3 \
vlc-data=3.0.12-0+deb10u1+rpt3 \
vlc-plugin-base=3.0.12-0+deb10u1+rpt3 \
vlc-plugin-qt=3.0.12-0+deb10u1+rpt3 \
vlc-plugin-video-output=3.0.12-0+deb10u1+rpt3 \
vlc-l10n=3.0.12-0+deb10u1+rpt3 \
vlc-plugin-notify=3.0.12-0+deb10u1+rpt3 \
vlc-plugin-samba=3.0.12-0+deb10u1+rpt3 \
vlc-plugin-skins2=3.0.12-0+deb10u1+rpt3 \
vlc-plugin-video-splitter=3.0.12-0+deb10u1+rpt3 \
vlc-plugin-visualization=3.0.12-0+deb10u1+rpt3
The second segment is 15 individual commands to prevent the problem recurring:

Code: Select all

sudo apt-mark hold vlc
sudo apt-mark hold libvlc-bin
sudo apt-mark hold libvlc5
sudo apt-mark hold libvlccore9
sudo apt-mark hold vlc-bin
sudo apt-mark hold vlc-data
sudo apt-mark hold vlc-plugin-base
sudo apt-mark hold vlc-plugin-qt
sudo apt-mark hold vlc-plugin-video-output
sudo apt-mark hold vlc-l10n
sudo apt-mark hold vlc-plugin-notify
sudo apt-mark hold vlc-plugin-samba
sudo apt-mark hold vlc-plugin-skins2
sudo apt-mark hold vlc-plugin-video-splitter
sudo apt-mark hold vlc-plugin-visualization
I will build these into the build and update scripts in the next few days.

Dave, G8GKQ

G8KOE
Posts: 79
Joined: Fri Aug 09, 2019 8:14 am

Re: Portsdown - Don't Update at the Moment

Post by G8KOE » Tue Jun 21, 2022 3:26 pm

Thanks Dave Now Working!
73's
Martin
G8KOE

G8GKQ
Site Admin
Posts: 2440
Joined: Sun Mar 22, 2009 1:21 pm

Re: Portsdown - Don't Update at the Moment

Post by G8GKQ » Wed Jun 22, 2022 8:20 pm

I have just released an update to the Portsdown 4 that cures the VLC problem, so new builds and updates should now work.

The equivalent work for Portsdown 2020 and Ryde will have to wait until Monday. I've run out of time!

Dave, G8GKQ

IZ7PDX
Posts: 8
Joined: Mon Jan 31, 2022 7:55 pm

Re: Portsdown - Don't Update at the Moment

Post by IZ7PDX » Thu Jun 23, 2022 1:05 pm

Congratulations, always a great job!
Hope to have some time to work on it in the next few days ....

G8GKQ
Site Admin
Posts: 2440
Joined: Sun Mar 22, 2009 1:21 pm

Re: Portsdown - Don't Update at the Moment

Post by G8GKQ » Mon Jun 27, 2022 8:47 pm

I have just published an update to the Portsdown 2020 that corrects this fault, so it is now safe to update both the Portsdown 4 and the Portsdown 2020.

Dave, G8GKQ

G8XPZ
Posts: 10
Joined: Sat Oct 07, 2017 5:17 pm

Re: Portsdown - Now Safe to Update Again!

Post by G8XPZ » Tue Jun 28, 2022 5:19 pm

Hi Dave
Thanks for your excellent work on this. Portsdown 4 now fully functioning.
De Steve G8XPZ

Post Reply

Return to “The Portsdown Digital ATV System”